﻿using System.Collections;
using UnityEngine;
using UnityEngine.Networking;

public class Ball : NetworkBehaviour {

	Rigidbody2D rigidBody;
	ScoreManager scoreManager;
	PongNetworkManager networkManager;

	// khởi tạo biến
	void Start () {
		scoreManager = FindObjectOfType<ScoreManager>();
		rigidBody = GetComponent<Rigidbody2D>();
		networkManager = FindObjectOfType<PongNetworkManager>();
	}

	// xử lý khi chạm biên dọc (có tính điểm)
	void OnTriggerEnter2D(Collider2D col) {
		if (col.gameObject.tag == "PlayerOneGoal") {
			Respawn();
			scoreManager.PlayerTwoScores();
		} else if (col.gameObject.tag == "PlayerTwoGoal") {
			Respawn();
			scoreManager.PlayerOneScores();
		}
	}

	// khởi tạo lại bóng ở giữa màn hình
	private void Respawn() {
		this.transform.position = new Vector2(0f, 0f);
		rigidBody.velocity = Vector2.zero;
		networkManager.running = false;
	}

}